RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2066338 - Complete MVP requirements for the system role for HA Configuration of MS SQL Server
Summary: Complete MVP requirements for the system role for HA Configuration of MS SQL ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ansible-collection-microsoft-sql
Version: 8.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Sergei Petrosian
QA Contact: Daniel Yeisley
Alexandra Nikandrova
URL:
Whiteboard:
Depends On:
Blocks: 2129869
TreeView+ depends on / blocked
 
Reported: 2022-03-21 14:42 UTC by Sergei Petrosian
Modified: 2022-11-08 10:47 UTC (History)
3 users (show)

Fixed In Version: ansible-collection-microsoft-sql-1.2.4-1.el8
Doc Type: Enhancement
Doc Text:
.Enhanced Microsoft SQL Server RHEL System Role The following new variables are now available for the `microsoft.sql.server` RHEL System Role: * Variables with the `mssql_ha_` prefix to control configuring a high availability cluster. * The `mssql_tls_remote_src` variable to search for `mssql_tls_cert` and `mssql_tls_private_key` values on managed nodes. If you keep the default `false` setting, the role searches for these files on the control node. * The `mssql_manage_firewall` variable to manage firewall ports automatically. If this variable is set to `false`, you must enable firewall ports manually. * The `mssql_pre_input_sql_file` and `mssql_post_input_sql_file` variables to control whether you want to run the SQL scripts before the role execution or after it. These new variables replace the former `mssql_input_sql_file` variable, which did not allow you to influence the time of SQL script execution.
Clone Of: 2066337
: 2129869 (view as bug list)
Environment:
Last Closed: 2022-11-08 09:47:20 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github linux-system-roles mssql pull 62 0 None open Draft: Add support for configuring HA cluster 2022-05-24 13:16:48 UTC
Red Hat Issue Tracker RHELPLAN-116295 0 None None None 2022-03-21 15:08:16 UTC
Red Hat Product Errata RHBA-2022:7597 0 None None None 2022-11-08 09:47:35 UTC

Description Sergei Petrosian 2022-03-21 14:42:59 UTC
+++ This bug was initially created as a clone of Bug #2066337 +++

Description of problem:
The microsoft.sql.server roles must support HA clustering with primary, synchronous, and witness replicas.
The following functionality must be added to the role:
* Distribute Microsoft cluster crypto keys for SQL Server cluster nodes using T-SQL commands and copying (per Amy Farley) 	  	
* Add support to ha_cluster and SQL server roles to support SQL Server Enterprise * Edition and Standard Edition clustering utilizing pacemaker, with 1 primary and up to 2 synchronous (or 1 replica and 1 witness) replicas.   	  	
* On SQL Server Enterprise Edition, support for adding/removing nodes utilizing ha_cluster and SQL server System Roles 	  	
* On SQL Server Enterprise Edition, the ability to start and stop the cluster by utilizing the System Roles 	  	
* Delivery as part of RHEL RPM's as well as Automation Hub  	  	
* Example playbooks provided in role README files for common SQL Server clustering use cases 	  	
* System Roles functionality is idempotent 	  	
* System Roles should support all versions of RHEL where SQL Server on RHEL is supported 	  	
* On RHEL 8.3 or later, automatically use on_fail="demote" with pcs setup and set WRITE_LEASE_VALIDITY=20 in CREATE_AVAILABILITY_GROUP

Comment 17 errata-xmlrpc 2022-11-08 09:47:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (ansible-collection-microsoft-sql bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:7597


Note You need to log in before you can comment on or make changes to this bug.